LogoopenSUSE Build Service > Projects
Sign Up | Log In

an easy-to-use tool for checking binary compatibility of shared C/C++ library versions

ABI Compliance Checker is an easy-to-use tool for checking binary compatibility of shared C/C++ library versions. It checks header files along with shared objects of two library versions and analyzes changes that can cause ABI compatibility problems. Breakage of the binary compatibility may result in crashing or incorrect behavior of applications built with an old version of the library if they run on a new one. The tool is intended for library developers who are interested in ensuring backward binary compatibility (i.e. allow old applications to run with new library versions without recompilation). Also it can be used by ISVs for checking applications portability to new library versions. Found issues can be taken into account when adapting the application to a new library version. This tool is free software: you can redistribute it and/or modify it under the terms of the GNU GPL or LGPL.

Source Files (show merged sources derived from linked package)

Filename Size Changed Actions

Comments for home:llunak:abi:kde (0)